/spaces/thresholds/crossings

Fetch all threshold crossings for spaces on a given day.
Response conforms to the JSON API spec https://jsonapi.org/.
Responses are limited to 1,000 threshold crossings after which pagination will take place.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example Requests

DescriptionQuery
Query for 1 day of data.https://api.vergesense.com/spaces/thresholds/crossings?date=2022-08-02
Query for 1 hour of data.https://api.vergesense.com/spaces/thresholds/crossings?filter[timestamp][gte]=2022-08-02T16:00:00Z&filter[timestamp][lt]=2022-08-02T17:00:00Z

Response

FieldDescriptionData Type
dataArray of space threshold crossings.Array of Space Threshold Crossing Data Models (see below)
includedIncluded relationships.Building
Floor
Space
Threshold
linksPagination links.Links

Space Threshold Crossing Model

FieldDescriptionData Type
idUnique identifier for the threshold crossing in the form:
[space id]|[timestamp]
String
typespace_threshold_crossingString
attributes.space_idThe space (building/floor/space) that the threshold crossing was reported forString
attributes.threshold_idThe threshold that the threshold crossing was reported forString
attributes.timestampTimestamp of the crossing (UTC)String
attributes.directionDirection of the crossing. in|outString
One of in or out.
relationships.buildingOnly present if the crossing was reported for a building. Details included in the included top level response key.Object|null
relationships.floorOnly present if the crossing was reported for a floor. Details included in the included top level response key.Object|null
relationships.spaceOnly present if the crossing was reported for a space. Details included in the included top level response key.Object|null
relationships.thresholdThe threshold that the crossing was associated withObject
Query Params
date

Date to fetch thresholds crossings for. Date is required unless a timestamp filter query parameter is provided.

date-time

Greater than or equal to the timestamp.

date-time

Greater than the timestamp.

date-time

Less than or equal to the timestamp.

date-time

Less than the timestamp.

int32
Defaults to 1
Headers
string
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json